﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
//using System.Threading.Tasks;
using System.Windows.Forms;

namespace Alarm
{
    public partial class Alarm : Form
    {
        public Alarm()
        {
            InitializeComponent();
        }

        // アラーム時間の値(文字列)
        public static string m_alarmTime;

        // アラーム解除フラグ
        public static bool m_alarmCanceled;

        // アラーム設定フォームの(再)描画
        private void Alarm_Load(object sender, EventArgs e)
        {
            // アラーム時刻の読み込み
            if (m_alarmTime != null)
            {
                setAlarm.Value = DateTime.Parse(m_alarmTime);
            }
            else
            {
                setAlarm.Value = DateTime.Now;
            }
            // アラーム解除フラグの読み込み
            if (m_alarmCanceled)
            {
                checkbox_cancelAlarm.CheckState = CheckState.Checked;
            }
            else
            {
                checkbox_cancelAlarm.CheckState = CheckState.Unchecked;
            }
        }

        // [OK]ボタンクリックされた時のイベントハンドラ
        // DateTimePickerの値を更新して終了する
        private void button_OK_Click(object sender, EventArgs e)
        {
            m_alarmTime = setAlarm.Value.ToString("HH:mm:ss");
            // [OK]クリックでもモーダルダイアログが OK を返さないので、
            // 強制的にOKを返す
            this.DialogResult = DialogResult.OK;
            Dispose();
        }

        // チェックボックスのイベントハンドラ
        // アラーム解除
        private void cancelAlarm_CheckedChanged(object sender, EventArgs e)
        {
            switch (checkbox_cancelAlarm.CheckState)
            {
                case CheckState.Checked:
                    m_alarmCanceled = true;
                    break;
                case CheckState.Unchecked:
                case CheckState.Indeterminate:
                    m_alarmCanceled = false;
                    break;
            }
        }
    }

}
